<!DOCTYPE html>
<html>
<head>
  <meta charset='utf-8'>
  <meta http-equiv='X-UA-Compatible' content='IE=edge'>
  <title>Test Socket</title>
  <meta name='viewport' content='width=device-width, initial-scale=1'>
</head>
<body>
  <main>
    <p>
      Socket: <span id="socket-status"></span>
    </p>
    <p>
      Login ID: <span id="login-id"></span>
    </p>

    <br>
    <button id="log-connected-clients">Log Connected Clients</button>
  </main>

  <script src="https://cdn.socket.io/3.1.1/socket.io.min.js" integrity="sha384-gDaozqUvc4HTgo8iZjwth73C6dDDeOJsAgpxBcMpZYztUfjHXpzrpdrHRdVp8ySO" crossorigin="anonymous"></script>
  <script>
    const id = new URLSearchParams(window.location.search).get(`id`) || `default-user-id`;

    const elSocketStatus = document.querySelector('#socket-status')
    const elLoginId = document.querySelector('#login-id')
    const elLogButton = document.querySelector('#log-connected-clients')

    elLoginId.innerHTML = id

    const socket = io("ws://localhost:8823");

    socket.on("connect", () => {
      elSocketStatus.innerHTML = `Connected`

      socket.emit(`define`, id)
    });

    socket.on("disconnect", () => {
      elSocketStatus.innerHTML = `Disconnected`
    });

    elLogButton.addEventListener(`click`, () => {
      socket.emit(`log-connected-clients`)
    })
  </script>
</body>
</html>